
Redmine - Feature #38274

Receive e-mail replies to news and news comments

2023-02-13 16:02 - Felix Schäfer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version: 5.1.0   

Resolution: Fixed   

Description

Currently e-mails sent in reply to notifications from news or news comments are ignored. The proposed patch adds the ability to

import answers to news and news comments.

This patch requires https://www.redmine.org/issues/38273

Related issues:

Blocked by Redmine - Feature #38273: Improve errors in MailHandler: add Missi... Closed

Associated revisions

Revision 22160 - 2023-03-26 07:35 - Go MAEDA

Receive e-mail replies to news and news comments (#38274).

Patch by Felix Schäfer.

History

#1 - 2023-02-13 16:03 - Felix Schäfer

- File 1-receive_news_comment_reply.patch added

#2 - 2023-02-13 17:07 - Holger Just

- Blocked by Feature #38273: Improve errors in MailHandler: add MissingContainer and LockedTopic exception added

#3 - 2023-02-14 10:35 - Go MAEDA

Thank you for posting the patch. Could you add tests for this feature?

#4 - 2023-02-14 16:20 - Felix Schäfer

- File 1-receive_news_comment_reply_with_tests.patch added

Please find attached a patch with added tests.

#5 - 2023-03-26 07:28 - Go MAEDA

- Target version set to 5.1.0

#6 - 2023-03-26 07:36 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you for your contribution.

Files

1-receive_news_comment_reply.patch 1.51 KB 2023-02-13 Felix Schäfer

1-receive_news_comment_reply_with_tests.patch 4.88 KB 2023-02-14 Felix Schäfer
